about summary refs log tree commit diff homepage
path: root/scripts/genTempFiles.sh
diff options
context:
space:
mode:
authorMartin Nowack <martin@se.inf.tu-dresden.de>2014-04-29 09:23:45 +0200
committerMartin Nowack <martin@se.inf.tu-dresden.de>2014-09-15 13:23:47 +0200
commit9cc7df88676bf2d236f1af8dfcc47fda2ba12f12 (patch)
tree8ce76ddeb9c7b2cc0518b8273b6f1b91c0ccadcf /scripts/genTempFiles.sh
parentaa000e933bda48ac67901b2a729dda7d5f9ca215 (diff)
downloadklee-9cc7df88676bf2d236f1af8dfcc47fda2ba12f12.tar.gz
Generate fake files for test cases
Diffstat (limited to 'scripts/genTempFiles.sh')
-rwxr-xr-xscripts/genTempFiles.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/scripts/genTempFiles.sh b/scripts/genTempFiles.sh
new file mode 100755
index 00000000..f77cbcea
--- /dev/null
+++ b/scripts/genTempFiles.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+if [ -z "$1" ] ; then
+	echo "No directory given"
+	exit 1
+fi
+
+mkdir -p $1
+for i in `seq 1 100`; do
+	mkdir -p $1/dir_foo_$i
+	touch $1/tmp_foo_$i
+done